### Struct

# GWeather Conditions

#### Description [src]

    struct GWeatherConditions {
      gboolean significant;
      GWeatherConditionPhenomenon phenomenon;
      GWeatherConditionQualifier qualifier;
    }

A convenient way to describe the current or forecast weather phenomenon, if significant, and its associated modifier. If the value is not significant, the weather conditions are described by `gweather_info_get_sky()` instead.

In general it is discouraged to use this value directly to compute the forecast icon: applications should instead use `gweather_info_get_icon_name()` or gweather_info_get_symbolic_icon_name().

###### Structure members

`significant`

  `TRUE` if the struct contains usable data, `FALSE` otherwise.

`phenomenon`

  The main weather phenomenon.

`qualifier`

  A modifier for `phenomenon`.

#### Instance methods

###### gweather_conditions_to_string

No description available.

###### gweather_conditions_to_string_full

No description available.